commit:     2c620207e94d676dcbe46930349db01d22240fb3
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 10 21:23:44 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Jul 10 21:23:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c620207

dev-python/argcomplete: version bump.

Gentoo-Bug: https://bugs.gentoo.org/620280

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 dev-python/argcomplete/Manifest                    |  1 +
 dev-python/argcomplete/argcomplete-1.8.2.ebuild    | 32 ++++++++++++++++++++
 .../argcomplete-1.8.2-disable-tcsh-tests.patch     | 35 ++++++++++++++++++++++
 3 files changed, 68 insertions(+)

diff --git a/dev-python/argcomplete/Manifest b/dev-python/argcomplete/Manifest
index a32633048ec..ecbd38a72f8 100644
--- a/dev-python/argcomplete/Manifest
+++ b/dev-python/argcomplete/Manifest
@@ -1,2 +1,3 @@
 DIST argcomplete-1.4.1.tar.gz 37219 SHA256 
a7b5fa8d1acb69e49b3c6b3f6225bc709092e0c7f621311bac507a4f6efe609d SHA512 
3e9fa64fca93baf14fddd653947ff0269004e8783de0567931dafb9e4d0dfff2e2450ef6df331a4d648f5ce1d817a422f52d8d30b94315cd54fd82102467ded5
 WHIRLPOOL 
ee11a1f16f44b204502bc0a1246626305cbdddf8633608fbb5575270e3568b4995ae449ccf309f12225f29099dac117aa21c66cd14f53d0d90fd6abfc637d7e7
 DIST argcomplete-1.6.0.tar.gz 39685 SHA256 
d37abde525436465a5126084a89630887bdafd03fddb1bd7b40efc01dbcff9f0 SHA512 
6a2a6a4af3ddb5bea0022bf5e2acb123d4c0505d979887ebb82ed5c8a591d59d35b57084483428d030e0507f3cd149953146f49d4a7b0290bc88648cea3eb7a3
 WHIRLPOOL 
106a23798ebe624ed9548023f00d970bb119b7b35d763f57be694a032dddaba933622eee5c655b6ce321d7c7297604219ae2a0dd681e5ef836aac53db03713ad
+DIST argcomplete-1.8.2.tar.gz 53626 SHA256 
7a2ccde074eb6631232b2f91f8d8d5985d5bebf0e36b091113096e3a0385546b SHA512 
ed3ddfe402bd89b81da1935a105dcc1914e9c7b98590624ba1140647ce1322a71d790bf3d0e29fe745ca676aa22f99b9834b58a97c2b1c08ca4a32bab7f4c914
 WHIRLPOOL 
60f3aa3cb468ee34cbf0766628e927f85bb1693db4ce9d48db3e4610952e413197a794e096675879b4d0cc5b27f3c147f2db357ef03f04e2c7c40d2e259c0597

diff --git a/dev-python/argcomplete/argcomplete-1.8.2.ebuild 
b/dev-python/argcomplete/argcomplete-1.8.2.ebuild
new file mode 100644
index 00000000000..6ed17da9c81
--- /dev/null
+++ b/dev-python/argcomplete/argcomplete-1.8.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy pypy3 )
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Bash tab completion for argparse"
+HOMEPAGE="https://pypi.python.org/pypi/argcomplete";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86 ~arm ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="test"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pexpect[${PYTHON_USEDEP}] )"
+
+PATCHES=( "${FILESDIR}/${P}-disable-tcsh-tests.patch" )
+
+python_test() {
+       "${EPYTHON}" test/test.py || die
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       newbashcomp "${S}"/${PN}/bash_completion.d/python-argcomplete.sh 
python-${PN}
+}

diff --git 
a/dev-python/argcomplete/files/argcomplete-1.8.2-disable-tcsh-tests.patch 
b/dev-python/argcomplete/files/argcomplete-1.8.2-disable-tcsh-tests.patch
new file mode 100644
index 00000000000..ee866c39d11
--- /dev/null
+++ b/dev-python/argcomplete/files/argcomplete-1.8.2-disable-tcsh-tests.patch
@@ -0,0 +1,35 @@
+--- a/test/test.py     2017-07-10 21:18:13.701472836 +0000
++++ b/test/test.py     2017-07-10 21:18:44.021473430 +0000
+@@ -1041,32 +1041,6 @@
+             self.assertEqual(self.sh.run_command('python ./prog basic f\t'), 
'foo\r\n')
+ 
+ 
+-class TestTcsh(_TestSh, unittest.TestCase):
+-    expected_failures = [
+-        'test_unquoted_space',
+-        'test_quoted_space',
+-        'test_continuation',
+-        'test_parse_special_characters',
+-        'test_parse_special_characters_dollar',
+-    ]
+-
+-    def setUp(self):
+-        sh = Shell('tcsh')
+-        path = ' '.join([os.path.join(BASE_DIR, 'scripts'), TEST_DIR, 
'$path'])
+-        sh.run_command('set path = ({0})'.format(path))
+-        sh.run_command('setenv PYTHONPATH {0}'.format(BASE_DIR))
+-        output = sh.run_command('eval `register-python-argcomplete --shell 
tcsh prog`')
+-        self.assertEqual(output, '')
+-        self.sh = sh
+-
+-    def tearDown(self):
+-        # The shell wrapper is fragile; exactly which exception is raised
+-        # differs depending on environment.
+-        with self.assertRaises((pexpect.EOF, OSError)):
+-            self.sh.run_command('exit')
+-            self.sh.run_command('')
+-
+-
+ class Shell(object):
+     def __init__(self, shell):
+         self.child = pexpect.spawn(shell, encoding='utf-8')

Reply via email to